org.apache.commons.math3.optimization.linear

## Class LinearObjectiveFunction

- java.lang.Object
- - org.apache.commons.math3.optimization.linear.LinearObjectiveFunction

All Implemented Interfaces:
  Serializable

Deprecated.
As of 3.1 (to be removed in 4.0).

    @Deprecated
    public class LinearObjectiveFunction
    extends Object
    implements Serializable

An objective function for a linear optimization problem.

A linear objective function has one the form:

     c1x1 + ... cnxn + d

The ci and d are the coefficients of the equation, the xi are the coordinates of the current point.

Since:
  2.0
Version:
  $Id: LinearObjectiveFunction.java 1422230 2012-12-15 12:11:13Z erans $
See Also:
  Serialized Form

### Field Summary

Fields
`private RealVector` `coefficients` Deprecated. Coefficients of the constraint (ci).
`private double` `constantTerm` Deprecated. Constant term of the linear equation.
`private static long` `serialVersionUID` Deprecated. Serializable version identifier.

### Constructor Summary

Constructors
Constructor and Description
`LinearObjectiveFunction(double[] coefficients, double constantTerm)` Deprecated.
`LinearObjectiveFunction(RealVector coefficients, double constantTerm)` Deprecated.

### Method Summary

Methods
`boolean` `equals(Object other)` Deprecated.
`RealVector` `getCoefficients()` Deprecated. Get the coefficients of the linear equation being optimized.
`double` `getConstantTerm()` Deprecated. Get the constant of the linear equation being optimized.
`double` `getValue(double[] point)` Deprecated. Compute the value of the linear equation at the current point
`double` `getValue(RealVector point)` Deprecated. Compute the value of the linear equation at the current point
`int` `hashCode()` Deprecated.
`private void` `readObject(ObjectInputStream ois)` Deprecated. Deserialize the instance.
`private void` `writeObject(ObjectOutputStream oos)` Deprecated. Serialize the instance.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

Deprecated.
Serializable version identifier.

See Also:
  Constant Field Values

#### coefficients

    private final transient RealVector coefficients

Deprecated.
Coefficients of the constraint (ci).

#### constantTerm

    private final double constantTerm

Deprecated.
Constant term of the linear equation.

### Constructor Detail

#### LinearObjectiveFunction

    public LinearObjectiveFunction(double[] coefficients,
                           double constantTerm)

Deprecated.

Parameters:
  `coefficients` - The coefficients for the linear equation being optimized
  `constantTerm` - The constant term of the linear equation

#### LinearObjectiveFunction

    public LinearObjectiveFunction(RealVector coefficients,
                           double constantTerm)

Deprecated.

Parameters:
  `coefficients` - The coefficients for the linear equation being optimized
  `constantTerm` - The constant term of the linear equation

### Method Detail

#### getCoefficients

    public RealVector getCoefficients()

Deprecated.
Get the coefficients of the linear equation being optimized.

Returns:
  coefficients of the linear equation being optimized

#### getConstantTerm

    public double getConstantTerm()

Deprecated.
Get the constant of the linear equation being optimized.

Returns:
  constant of the linear equation being optimized

#### getValue

    public double getValue(double[] point)

Deprecated.
Compute the value of the linear equation at the current point

Parameters:
  `point` - point at which linear equation must be evaluated
Returns:
  value of the linear equation at the current point

#### getValue

    public double getValue(RealVector point)

Deprecated.
Compute the value of the linear equation at the current point

Parameters:
  `point` - point at which linear equation must be evaluated
Returns:
  value of the linear equation at the current point

#### equals

    public boolean equals(Object other)

Deprecated.

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Deprecated.

Overrides:
  `hashCode` in class `Object`

#### writeObject

    private void writeObject(ObjectOutputStream oos)
                      throws IOException

Deprecated.
Serialize the instance.

Parameters:
  `oos` - stream where object should be written
Throws:
  `IOException` - if object cannot be written to stream

#### readObject

    private void readObject(ObjectInputStream ois)
                     throws ClassNotFoundException,
                            IOException

Deprecated.
Deserialize the instance.

Parameters:
  `ois` - stream from which the object should be read
Throws:
  `ClassNotFoundException` - if a class in the stream cannot be found
  `IOException` - if object cannot be read from the stream